Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaArray

All Superinterfaces:
  IAdaptable, IDebugElement, IIndexedValue, IJavaObject, IJavaValue, IValue

public interface IJavaArray
extends IJavaObject, IIndexedValue

A value referencing an array on a target VM.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `IJavaValue`

Method Summary
`int` | `getLength()` Returns the length of this array.
`IJavaValue` | `getValue(int index)` Returns the value at the given index in this array.
`IJavaValue[]` | `getValues()` Returns the values contained in this array.
`void` | `setValue(int index, IJavaValue value)` Sets the value at the given index to the specified value.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaObject
`getField, getField, sendMessage, sendMessage`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaValue
`getJavaType, getSignature`

Methods inherited from interface org.eclipse.debug.core.model.IValue
`getReferenceTypeName, getValueString, getVariables, hasVariables, isAllocated`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.IIndexedValue
`getInitialOffset, getSize, getVariable, getVariables`

Method Detail

### getValues

    public IJavaValue[] getValues()
                           throws DebugException

  Returns the values contained in this array.

  Returns:
    the values contained in this array
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### getValue

    public IJavaValue getValue(int index)
                        throws DebugException

  Returns the value at the given index in this array.

  Parameters:
    `index` - the index of the value to return
  Returns:
    the value at the given index
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
    `IndexOutOfBoundsException` - if the index is not within the bounds of this array.

### getLength

    public int getLength()
                  throws DebugException

  Returns the length of this array.

  Returns:
    the length of this array
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

  ### setValue

      public void setValue(int index,
                           IJavaValue value)
                    throws DebugException

    Sets the value at the given index to the specified value.

    Parameters:
      `index` - the index at which to assign a new value
      `value` - the new value
    Throws:
      `DebugException` - if this method fails. Reasons include:
      - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.
      - The given value is not compatible with the type of this array
      `IndexOutOfBoundsException` - if the index is not within the bounds of this array.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Eclipse JDT Release 3.0
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.